---
updatedAt: 2025-11-13T23:12:00.000Z
---

# Multi Stop ride

> 👍 Duplications
>
> to prevent booking duplicates  you can send **X-Request-ID** ( value: string) in the header

## Request

Request URL

```curl
--request POST 'https://business-api.gett.com/v1/orders?businessId={businessid}
```

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **businessId**
      </td>

      <td>
        UUID
      </td>

      <td>
        Account identifier obtained from Gett while [generating credentials](https://business.gett.com/settings/integrations)
      </td>
    </tr>

    <tr>
      <td>
        **category**
      </td>

      <td>
        string
      </td>

      <td>
        * \*Transportation\*\* for a ride 
        * \*Delivery\*\* to send a package
      </td>
    </tr>

    <tr>
      <td>
        **product\_ID**
      </td>

      <td>
        string
      </td>

      <td>
        UUID corresponds to available product in the pickup. Obtained from [Get Products](https://developer.gett.com/v2/docs/gett-products) request.
      </td>
    </tr>

    <tr>
      <td>
        **scheduled\_at**
      </td>

      <td>
        string
      </td>

      <td>
        The schedule time in format **ISO8601:** yyyy-mm-ddThh:mm:ss+Z\
        (example: 2017-12-05T18:59:23+03:00).

        **If the parameter is not passed it will default to on-demand**
      </td>
    </tr>

    <tr>
      <td>
        **quote\_id**
      </td>

      <td>
        string
      </td>

      <td>
        Unique id for pre-requested price estimation. Obtained from [Price estimation](https://developer.gett.com/v2/docs/price-estimation) request
      </td>
    </tr>

    <tr>
      <td>
        **stops**
      </td>

      <td>
        array
      </td>

      <td>
        The object containing the information about the stops/waypoints,  for the ride.
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].type** 
      </td>

      <td>
        string
      </td>

      <td>
        Represents the type of the stops: 

        * \*origin\
          on\_going\
          destination\*\* 
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].actions** 
      </td>

      <td>
        array
      </td>

      <td>
        The object contains the passengers info and the relationship for the specific stops e.g. pickup/drop-off in stops
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].actions.type** 
      </td>

      <td>
        string
      </td>

      <td>
        Represents the type of the action to be performed by the driver: 

        * \*pick\_up\
          stop\_by\
          drop\_off\*\*
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].actions.user** 
      </td>

      <td>
        object
      </td>

      <td>
        A JSON dictionary containing the the passenger name and phone number
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].actions.user. name** 
      </td>

      <td>
        string
      </td>

      <td>
        Passenger name
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].actions.user. phone** 
      </td>

      <td>
        string
      </td>

      <td>
        The phone number of the rider.\
        NOTE:phone numbers must be passed in the international format (without "+" sign) as specified in RFC3966.
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].location** 
      </td>

      <td>
        object
      </td>

      <td>
        A JSON dictionary containing the the location details
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].location.lat** 
      </td>

      <td>
        float
      </td>

      <td>
        Location latitude
      </td>
    </tr>

    <tr>
      <td>
        **stops[x].location.lng** 
      </td>

      <td>
        float
      </td>

      <td>
        Location longitude
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.full\_address\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Address display name
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address\*\* (optional)
      </td>

      <td>
        object
      </td>

      <td>
        A JSON dictionary containing the the address details
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.address\_place\*\* (optional)
      </td>

      <td>
        object
      </td>

      <td>
        Address provider details
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.id\*\*(optional)
      </td>

      <td>
        string
      </td>

      <td>
        Addresses id from provider e.g google provider id
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.provider\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Provider name, Gett supports different address providers e.g **GOOGLE**, **POSTCODE**, and **HERE**
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.city\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        City name for stop point address
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.country\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Country name for stop point address
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.full\_address\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Address in one string for stop point
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.house\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        House number for stop point address
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.notes\*\*  (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Notes for stop point
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.postcode\*\*  (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Postal code for stop point address
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.state\*\*  (optional)
      </td>

      <td>
        string
      </td>

      <td>
        State for stop point address
      </td>
    </tr>

    <tr>
      <td>
        * \*stops[x].location.address.street\*\*  (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Street name for stop point address
      </td>
    </tr>

    <tr>
      <td>
        * \*note\_to\_driver\*\*  (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Message to the driver up to 100 chars
      </td>
    </tr>

    <tr>
      <td>
        * \*references\*\*  (optional)
      </td>

      <td>
        object 
      </td>

      <td>
        Additional fields for ride -  for some clients this object is mandatory. review [company settings](https://developer.gett.com/v2/docs/company-settings)

        if your are integrating on behalf of a client, be mindful that the client can add mandatory reference fields at any moment from the web platform and the integration should be able to support it
      </td>
    </tr>

    <tr>
      <td>
        * \*reference[x].id\*\* (optional)
      </td>

      <td>
        int
      </td>

      <td>
        Additional field identificator
      </td>
    </tr>

    <tr>
      <td>
        * \*reference[X].value\*\* (optional)
      </td>

      <td>
        string
      </td>

      <td>
        Additional field value
      </td>
    </tr>

    <tr>
      <td>
        **flight\_details** 
      </td>

      <td>
        object
      </td>

      <td>
        flight details are required for airport pickups, mainly for pre-booked orders
      </td>
    </tr>

    <tr>
      <td>
        **flight\_details.flight\_number**
      </td>

      <td>
        string
      </td>

      <td>
        IATA flight code **e.g. "BA164"**
      </td>
    </tr>

    <tr>
      <td>
        **flight\_details.flight\_tracking**
      </td>

      <td>
        boolean
      </td>

      <td>
        if **TRUE** the flight will be tracked and rider scheduled\_at will be adjusted automatically

        flight details and ride scheduled time must be valid and aligned
      </td>
    </tr>

    <tr>
      <td>
        **flight\_details.offset\_from\_flight**
      </td>

      <td>
        int
      </td>

      <td>
        the time in minutes you have added after flight landing time, if provided the system will keep this time as additional minutes after the new landing time, if the flight landing time was updated/changed.

        e.g.\
        flight lands at 10:00\
        the requested scheduled\_at  is 10:50\
        the offset value **must** be set to 50 if flight tracking is set to TRUE 

        if the offset was set but not added to scheduled\_at, it won't be added automatically at booking but only in case of landing time change
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ please note
>
> Two or more consecutive addresses on the route can't be identical.

> ❗️ Roaming/global rides
>
> To request a global/roaming ride (out of the client's country of origin) providing full address breakdown is **mandatory**

## Single Passenger Ride Request

```curl
curl --location --request POST 'https://business-api.gett.com/v1/orders?businessId=<companyUUID>' \
--header 'Authorization: Bearer <access token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data-raw '{
    "category": "transportation",
    "product_id": "8d50ef79-2530-4924-b89e-10ed9f035d8b",
    "scheduled_at": "2023-01-29T17:00:00+02:00",
    "stops": [
        {
            "type": "origin",
            "actions": [
                {
                    "type": "pick_up",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.101128,
                "lng": 34.856651,
                "address": {
                    "full_address": "Shlomo Shmeltzer Road/HaShfela, Petah Tikva, Israel"
                }
            }
        },
        {
            "type": "on_going",
            "actions": [
                {
                    "type": "stop_by",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.047803,
                "lng": 34.759112,
                "address": {
                    "full_address": "למרטין 11-1, תל אביב יפו"
                }
            }
        },
        {
            "type": "destination",
            "actions": [
                {
                    "type": "drop_off",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 31.984621,
                "lng": 34.951736,
                "address": {
                    "full_address": "Bet Nehemya Junction, Israel"
                }
            }
        }
    ],
    "note_to_driver": "another test",
    "references":[
        {
            "id":8946,
            "value":"Product"
        },
        {
            "id":9557,
            "value":"Product"
        }
    ]
}'
```

## Single Passenger Ride Response

```json
{
    "id": 2334,
    "status": "Pending",
    "business_id": "6eaaa6cf-3bdc-4393-a8cf-22b500f58006",
    "category": "transportation",
    "product_id": "8d50ef79-2530-4924-b89e-10ed9f035d8b",
    "scheduled_at": "2023-01-29T17:00:00+02:00",
    "quote_id": "",
    "stops": [
        {
            "type": "origin",
            "actions": [
                {
                    "type": "pick_up",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.101128,
                "lng": 34.856651,
                "address": {
                    "full_address": "Shlomo Shmeltzer Road/HaShfela, Petah Tikva, Israel"
                }
            }
        },
        {
            "type": "on_going",
            "actions": [
                {
                    "type": "stop_by",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 32.047803,
                "lng": 34.759112,
                "address": {
                    "full_address": "למרטין 11-1, תל אביב יפו"
                }
            }
        },
        {
            "type": "destination",
            "actions": [
                {
                    "type": "drop_off",
                    "user": {
                        "name": "passenger 1",
                        "phone": "972000000000"
                    }
                }
            ],
            "location": {
                "lat": 31.984621,
                "lng": 34.951736,
                "address": {
                    "full_address": "Bet Nehemya Junction, Israel"
                }
            }
        }
    ],
    "payment_type": "account",
    "note_to_driver": "another test",
    "references": [
        {
            "id": 8946,
            "title": "",
            "value": "Product"
        },
        {
            "id": 9557,
            "title": "",
            "value": "Product"
        }
    ],
    "requested_at": "2022-12-24T15:33:49+00:00"
}
```